Skip to content

Get extended Agent Card for a specific role

GET
/api/v1/a2a/agents/{role}/extended-card
curl --request GET \
--url https://api.ultimateteam.ai/api/v1/a2a/agents/example/extended-card \
--header 'X-API-Key: <X-API-Key>'

Get the extended Agent Card for a specific role.

Card detail level varies by the caller’s subscription plan tier. Enterprise callers receive full model configuration and schemas.

role
required
Role

Agent role (ceo, cro, cfo, cmo, coo, cto, ciso, cio)

string

Agent role (ceo, cro, cfo, cmo, coo, cto, ciso, cio)

Successful Response

Media typeapplication/json
Response Get Extended Agent Card Api V1 A2A Agents Role Extended Card Get
object
key
additional properties
any
Examplegenerated
{}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}